import { NgtVector2 } from 'angular-three';
import { GlitchEffect, GlitchMode } from 'postprocessing';
import * as i0 from "@angular/core";
export type GlitchOptions = NonNullable<ConstructorParameters<typeof GlitchEffect>[0]> & Partial<{
    mode: GlitchMode;
    active: boolean;
    delay: NgtVector2;
    duration: NgtVector2;
    chromaticAberrationOffset: NgtVector2;
    strength: NgtVector2;
}>;
export declare class NgtpGlitch {
    options: import("@angular/core").InputSignalWithTransform<GlitchOptions, "" | Partial<{
        active: boolean;
    }>>;
    private active;
    private mode;
    private ratio;
    private dtSize;
    private columns;
    private blendFunction;
    private perturbationMap;
    private delay;
    private duration;
    private chromaticAberrationOffset;
    private strength;
    private store;
    effect: import("@angular/core").Signal<GlitchEffect>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpGlitch, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpGlitch, "ngtp-glitch", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
