import { BlendFunction, Effect } from 'postprocessing';
import { NgtpEffect } from '../effect';
import * as i0 from "@angular/core";
import * as i1 from "../effect";
export declare class WaterEffect extends Effect {
    constructor({ blendFunction, factor }?: {
        blendFunction?: BlendFunction | undefined;
        factor?: number | undefined;
    });
}
export type WaterEffectOptions = Partial<NonNullable<ConstructorParameters<typeof WaterEffect>[0]>>;
export declare class NgtpWater {
    options: import("@angular/core").InputSignal<Omit<Partial<{
        blendFunction?: BlendFunction | undefined;
        factor?: number | undefined;
    }>, "blendFunction">>;
    protected effect: NgtpEffect;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpWater, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpWater, "ngtp-water", never, { "options": { "alias": "options"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, [{ directive: typeof i1.NgtpEffect; inputs: { "blendFunction": "blendFunction"; "opacity": "opacity"; }; outputs: {}; }]>;
}
