import { BlendFunction } from 'postprocessing';
import * as i0 from "@angular/core";
export declare const injectDefaultEffectOptions: {
    (): {
        blendFunction?: BlendFunction;
        opacity?: number;
    };
    (injectOptions: import("@angular/core").InjectOptions & {
        optional?: false;
    } & {
        injector?: import("@angular/core").Injector;
    }): {
        blendFunction?: BlendFunction;
        opacity?: number;
    };
    (injectOptions: import("@angular/core").InjectOptions & {
        injector?: import("@angular/core").Injector;
    }): {
        blendFunction?: BlendFunction;
        opacity?: number;
    } | null;
}, provideDefaultEffectOptions: ((value: {
    blendFunction?: BlendFunction;
    opacity?: number;
} | (() => {
    blendFunction?: BlendFunction;
    opacity?: number;
})) => import("@angular/core").Provider) & ((value: {
    blendFunction?: BlendFunction;
    opacity?: number;
} | (() => {
    blendFunction?: BlendFunction;
    opacity?: number;
})) => import("@angular/core").Provider);
export declare class NgtpEffectBlendMode {
    effect: NgtpEffect | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpEffectBlendMode, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtpEffectBlendMode, "ngtp-effect-blend-mode", never, {}, {}, never, never, true, never>;
}
export declare class NgtpEffect {
    defaultEffectOptions: {
        blendFunction?: BlendFunction;
        opacity?: number;
    } | null;
    blendFunction: import("@angular/core").InputSignal<BlendFunction | undefined>;
    opacity: import("@angular/core").InputSignal<number | undefined>;
    private store;
    camera: import("angular-three").DeepSignal<import("angular-three").NgtCamera>;
    invalidate: import("angular-three").Signal<(frames?: number) => void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtpEffect, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtpEffect, never, never, { "blendFunction": { "alias": "blendFunction"; "required": false; "isSignal": true; }; "opacity": { "alias": "opacity"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
